Home / Lua API Manual / types / dt_imageio_module_format_t
< dt_lua_image_t
dt_imageio_module_format_data_png >

# dt_imageio_module_format_t

`dt_type`

A virtual type representing all format types.

# 🔗dt_imageio_module_format_t.plugin_name

`string`

A unique name for the plugin.

# 🔗dt_imageio_module_format_t.name

`string`

A human readable name for the plugin.

# 🔗dt_imageio_module_format_t.extension

`string`

The typical filename extension for that format.

# 🔗dt_imageio_module_format_t.mime

`string`

The mime type associated with the format.

# 🔗dt_imageio_module_format_t.max_width

`number`

The max width allowed for the format (0 = unlimited).

Attributes:

- write

2.3.6. dt_imageio_module_format_t.max_height

`number`

The max height allowed for the format (0 = unlimited).

Attributes:

- write

2.3.7. dt_imageio_module_format_t.write_image

    self:function(
      image : types.dt_lua_image_t,
      filename : string,
      [allow_upscale : boolean]
    ) : boolean

Exports an image to a file. This is a blocking operation that will not return until the image is exported.

- self - types.dt_imageio_module_format_t - The format that will be used to export.
- image - types.dt_lua_image_t - The image object to export.
- filename - string - The filename to export to.
- [allow_upscale] - boolean - Set to true to allow upscaling of the image.
- return - boolean - Returns true on success.

Attributes:

- implicit_yield

< dt_lua_image_t
dt_imageio_module_format_data_png >